Name:      fet
Version:   5.7.0
Release:   1%{?dist}
Summary:   Open source free timetabling software

Group:     Applications/Engineering
License:   GPLv2+
URL:       http://lalescu.ro/liviu/fet
Source0:   http://lalescu.ro/liviu/fet/download/fet-%{version}.tar.bz2
Source1:   fet.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt-devel > 4.3
BuildRequires: desktop-file-utils

%description
FET is open source free software for automatically scheduling
the timetable of a school, high-school or university. It uses
a fast and efficient timetabling algorithm.

%prep
%setup -q

# remove binary translations
rm -rf translations/*.qm

%build

# build application
qmake-qt4 %{name}.pro
make %{?_smp_mflags}

# build translation files
pushd translations
lrelease-qt4 *.ts
popd

%install
rm -rf %{buildroot}

# prepare folders
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}/translations

# install
install -p -m 0755 fet %{buildroot}%{_bindir}/
install -p -m 0644 doc/fet.1 %{buildroot}%{_mandir}/man1/
install -p -m 0644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations

# install desktop file
desktop-file-install --vendor="fedora" \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING
%doc GUESTBOOK LINKS README REFERENCES SPONSORS
%doc THANKS TODO TRANSLATORS
%doc doc sample_inputs
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Thu Oct 02 2008 Balint Cristian <rezso@rdsor.ro> - 5.7.0-1
- new upstream release
- some UTF-8 fixes now upstream

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-3
- remove binary translations at prep time

* Mon Sep 15 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-2
- add desktop file
- build translations

* Wed Sep 10 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-1
- initial package for fedora
